#include <sys/vnode.h>


int desiredvnodes;

/*vn_getpath

int vn_getpath(
    struct vnode *vp,
    char *pathbuf,
    int *len);  
Discussion 

Description forthcoming*/

int vn_getpath(
    struct vnode *vp,
    char *pathbuf,
    int *len){
printf ("vn_getpath",vp,*pathbuf,*len);
};  


/*vnode_vtype

enum vtype vnode_vtype(
    vnode_t);  
Discussion 

Description forthcoming*/
enum vtype vnode_vtype(
    vnode_t  a){
printf ("vnode_vtype",a);
};


/*vfs_context_ucred

ucred_t vfs_context_ucred(
    vfs_context_t);  
Discussion 

Description forthcoming*/

ucred_t vfs_context_ucred(
    vfs_context_t a ){
printf ("vfs_context_ucred",a);
};  


/*vnode_fsnode

void * vnode_fsnode(
    vnode_t);  
Discussion 

Description forthcoming*/
void * vnode_fsnode(
    vnode_t a ){
printf ("vnode_fsnode",a);
}; 


/*vnode_removefsref

int vnode_removefsref(
    vnode_t);  
Discussion 

Description forthcoming*/

int vnode_removefsref(
    vnode_t a){
printf ("vnode_removefsref",a);
};  


/*vnode_clearfsnode

void vnode_clearfsnode(
    vnode_t);  
Discussion 

Description forthcoming*/
void vnode_clearfsnode(
    vnode_t a ){
printf ("vnode_clearfsnode",a);
};  


/*vnode_put

int vnode_put(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_put(
    vnode_t a ){
printf ("vnode_put",a);
};  
//work

/*vnode_isvroot

int vnode_isvroot(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_isvroot(
    vnode_t a ){};  


/*vnode_isnocache

int vnode_isnocache(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_isnocache(
    vnode_t a){};

/*vnode_isreg

int vnode_isreg(
    vnode_t);  
Discussion 

Description forthcoming*/

int vnode_isreg(
    vnode_t a ){};  

/*vnode_ref

int vnode_ref(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_ref(
    vnode_t a){};  

/*vnode_specrdev

dev_t vnode_specrdev(
    vnode_t);  
Discussion 

Description forthcoming*/
dev_t vnode_specrdev(
    vnode_t a){};  



/*vnode_rele

void vnode_rele(
    vnode_t);  
Discussion 

Description forthcoming*/
void vnode_rele(
    vnode_t a ){};  

  /*vflush

int vflush(
    struct mount *mp,
    struct vnode *skipvp,
    int flags);  
Discussion 

Description forthcoming*/
int vflush(
    struct mount *mp,
    struct vnode *skipvp,
    int flags){};

  
/*vn_default_error

int vn_default_error(
    void);  
Discussion 

A default routine which just returns an error.*/
int vn_default_error(
    void){};
  

/*vn_default_error

int vn_default_error(
    void);  
Discussion 

A default routine which just returns an error.*/
int vn_default_error(
    void);  

/*vnode_create

errno_t vnode_create(
    int,
    size_t,
    void *,
    vnode_t *);  
Discussion 

Create a vnode*/
errno_t vnode_create(
    int A,
    size_t B,
    void * c,
    vnode_t * D){};

  
/*vnode_isdir

int vnode_isdir(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_isdir(
    vnode_t  A){};
  
/*vnode_mount

mount_t vnode_mount(
    vnode_t);  
Discussion 

Description forthcoming*/
mount_t vnode_mount(
    vnode_t A){};
 

/*vnode_get

int vnode_get(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_get(
    vnode_t A){};
  

/*vnode_getwithvid

int vnode_getwithvid(
    vnode_t,
    int);  
Discussion 

Description forthcoming*/
int vnode_getwithvid(
    vnode_t A,
    int B){};
  
/*vnode_addfsref

int vnode_addfsref(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_addfsref(
    vnode_t A){};

  /*vnode_vid

uint32_t vnode_vid(
    vnode_t);  
Discussion 

Description forthcoming*/
uint32_t vnode_vid(
    vnode_t A){};

  /*vnode_ischr

int vnode_ischr(
    vnode_t);  
Discussion 

Description forthcoming*/
int vnode_ischr(
    vnode_t A){};  














